#ifndef vger_h_INCLUDED
#define vger_h_INCLUDED

/* length of "gemini://" */
#define GEMINI_PART	 9

/*
 * number of bytes to read with fgets() : 2014 + 1.
 * fgets() reads at most size-1 (1024 here).
 * See https://gemini.circumlunar.space/docs/specification.html.
 */
#define GEMINI_REQUEST_MAX 1025

void 		autoindex(const char *);
void 		cgi      (const char *cgicmd);
void 		display_file(const char *);
void 		drop_privileges(const char *, const char *);
void 		echdir   (const char *);
void 		status   (const int, const char *);
void 		status_redirect(const int, const char *);
void 		status_error(const int, const char *);
void		strip_trailing_slash(char *path);
int 		uridecode (char *);


#endif // vger_h_INCLUDED

